package com.admin.major.mapper;

import java.util.List;
import com.admin.major.domain.ClassResult;

/**
 * 分班结果Mapper接口
 * 
 * @author ljx
 * @date 2022-05-18
 */
public interface ClassResultMapper 
{
    /**
     * 查询分班结果
     * 
     * @param id 分班结果主键
     * @return 分班结果
     */
    public ClassResult selectClassResultById(Long id);

    /**
     * 查询分班结果列表
     * 
     * @param classResult 分班结果
     * @return 分班结果集合
     */
    public List<ClassResult> selectClassResultList(ClassResult classResult);

    /**
     * 新增分班结果
     * 
     * @param classResult 分班结果
     * @return 结果
     */
    public int insertClassResult(ClassResult classResult);

    /**
     * 修改分班结果
     * 
     * @param classResult 分班结果
     * @return 结果
     */
    public int updateClassResult(ClassResult classResult);

    /**
     * 删除分班结果
     * 
     * @param id 分班结果主键
     * @return 结果
     */
    public int deleteClassResultById(Long id);

    /**
     * 批量删除分班结果
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteClassResultByIds(Long[] ids);

    /**删除所有*/
    int deleteAll();
}
